Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface WebModuleConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, Description, Enabled, ModuleConfig, NamedConfigElement, NotificationBroadcaster, NotificationEmitter, ObjectType

public interface WebModuleConfig
extends ModuleConfig

Configuration for the <web-module> element.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.config.Description
`DESCRIPTION_KEY`

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Method Summary
`boolean` | `getAvailabilityEnabled()` Controls whether availability is enabled for HTTP Session Persistence.
`java.lang.String` | `getContextRoot()` The ContextRoot must match the pattern for the hpath production in RFC 1738 which can be found at: http://www.w3.org/Addressing/rfc1738.txt.
`void` | `setAvailabilityEnabled(boolean enabled)`
`void` | `setContextRoot(java.lang.String value)`

Methods inherited from interface com.sun.appserv.management.config.ModuleConfig
`getDirectoryDeployed, getLocation, getName`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.config.Enabled
`getEnabled, setEnabled`

Methods inherited from interface com.sun.appserv.management.config.Description
`getDescription, setDescription`

Methods inherited from interface com.sun.appserv.management.config.ObjectType
`getObjectType, setObjectType`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getContextRoot

    public java.lang.String getContextRoot()

  The ContextRoot must match the pattern for the hpath production in RFC 1738 which can be found at: http://www.w3.org/Addressing/rfc1738.txt. This is flattened to the following regular expression in XML Schema's pattern language:

              ([a-zA-Z0-9$\-_.+!*'(),]|%[0-9A-Fa-f][0-9A-Fa-f]|;|:|&|=)*(/([
              -zA-Z0-9$\-_.+!*'(),]|%[0-9A-Fa-f][0-9A-Fa-f]|;|:|&|=)*)*

  Note that this includes the null or empty context root and permits but does not require a context root to start with the '/' character (including a context root which is simply the '/' character).

  See Also:
    `setContextRoot(java.lang.String)`

### setContextRoot

    public void setContextRoot(java.lang.String value)

  See Also:
    `getContextRoot()`

### getAvailabilityEnabled

    public boolean getAvailabilityEnabled()

  Controls whether availability is enabled for HTTP Session Persistence. If this is "false", then all session persistence is disabled for the given web module. If it is "true" (and providing that all the availability-enabled attributes above in precedence are also "true", then the web module may be ha enabled. Finer-grained control exists at lower level (see sun-web.xml).

  See Also:
    `setAvailabilityEnabled(boolean)`

### setAvailabilityEnabled

    public void setAvailabilityEnabled(boolean enabled)

  See Also:
    `getAvailabilityEnabled()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.